System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

error installing PSP8.10 RHEL5 on DL380G5

SOLVED
Go to solution
romano r
Frequent Advisor

error installing PSP8.10 RHEL5 on DL380G5

Hello,
Installing the Proliant Support Pack 8.10 on my new installed DL380G5 I get an error in the following package installation:
"HP-Proliant Smart Array Controller (AMD64/EM64T)driver for Red Hat Enterprise Linux 5..." the rpm is:
cpq_cciss-3.6.18-16.rhel5.x86_64.rpm
kernel: 2.6.18.92.1.6.el5
Anybody knows the reason?
thank you
romano
4 REPLIES
Steven E. Protter
Exalted Contributor

Re: error installing PSP8.10 RHEL5 on DL380G5

Shalom,

My feeling is this is bad software from HP.

I see however you are using 5 update 2. Is this version which is pretty new even on the certification list for PSP? If not, it won't work.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
romano r
Frequent Advisor

Re: error installing PSP8.10 RHEL5 on DL380G5

Hello Steven,
the docs inside the psp tarball reports:
cpq_cciss-3.6.18-16.rhel5.x86_64.rpm 2.6.18-8.el5 2.6.18-92.el5

so I guess my 2.6.18.92.1.6 is too new?

Michael Garner_1
Honored Contributor
Solution

Re: error installing PSP8.10 RHEL5 on DL380G5

Romano,
The problem is caused by your kernel being "too new" for the PSP. The cpq_cciss RPM only supports up to the 2.6.18.92.el5 kernel. Your kernel is newer and is not currently supported by the RPM. Unless you have special circumstances such as supporting more than 2 smart array controllers in your server, you should be fine using the version compiled into the kernel that you are using. If you do have a special circumstance, you will need to download the cpq_cciss source RPM and compile it to match your kernel. This is not normally recommended because if the compilation has errors, you could lose access to your boot controller. This is the reason we pre-compile drivers for specific kernels within the cpq_cciss RPM. However, because of the testing effort required, this is only done for RHEL updates in most cases.

Regards,
Michael Garner
PSP/LSP/HPSUM Architect
romano r
Frequent Advisor

Re: error installing PSP8.10 RHEL5 on DL380G5

thank you Michael!
So I'll let the driver as it is now, becouse I have just one controller.

Regards
Romano